2017-11-21 00:51:05 UTC
58.7 MB
test
DOCKER_VERSION17.11.0-ce-rc4
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:b56ae66c29370df48e7377c8f9baa744a3958058a766793f821dadcb144a4647 - 3.23% (1.9 MB)
[#001] sha256:776090ac3d78f3d8c01e4847085cd7ce1ccd93ffc5dccca40e3bd72e59620c79 - 0.57% (343 KB)
[#002] sha256:6e0413fc9bc7476d36558854ef8abfec17b223d72ab453ac315e64ffd49a80fe - 0.0% (154 Bytes)
[#003] sha256:794410804a2c3e0a98ab43b6b9e3e176a28f1932876e229bf12ea8a9ba4b7b26 - 77.07% (45.3 MB)
[#004] sha256:f9bb865548bc80369b0c37fb627735f890138786f56ccef25a637fd0acb982aa - 0.0% (549 Bytes)
[#005] sha256:faf17f37a20ccbe771a2d5cbd744d76729359c137d637899c44c836dbea4028c - 0.0% (743 Bytes)
[#006] sha256:3c600cb5addc99969805e36394862282164b1f0bf2f4d61ad6589161627e2d3f - 19.13% (11.2 MB)
/bin/sh -c #(nop) ADD file:1e87ff33d1b6765b793888cd50e01b2bd0dfe152b7dbb4048008bfc2658faea7 in /
2017-11-03 22:10:18 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2017-11-04 08:24:44 UTC/bin/sh -c apk add --no-cache ca-certificates
2017-11-04 08:24:44 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2017-11-04 08:24:45 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2017-11-21 00:50:20 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=17.11.0-ce-rc4
2017-11-21 00:50:33 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps curl tar ; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! curl -fL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; apk del .fetch-deps; dockerd -v; docker -v
2017-11-21 00:50:33 UTC/bin/sh -c #(nop) COPY file:016ebcc5aefa6b28f6c484a299057d5b236e1d4f3baf44cc76eb4cd578821691 in /usr/local/bin/modprobe
2017-11-21 00:50:33 UTC/bin/sh -c #(nop) COPY file:0d94e1cd679f133aab807891a1b00b6aef1a9f1f884108e7a17ddf50ab88f1fb in /usr/local/bin/
2017-11-21 00:50:33 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2017-11-21 00:50:33 UTC/bin/sh -c #(nop) CMD ["sh"]
2017-11-21 00:51:05 UTC/bin/sh -c apk add --no-cache git openssh-client
2017-11-21 07:02:23 UTC
50 MB
test
DOCKER_VERSION17.11.0-ce-rc4
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:bb473f0ebc12fde1bd45c1bd3c46f2d3aab367b1b7739464771455b9972f7894 - 3.65% (1.83 MB)
[#001] sha256:75ff6b7ff3a208b8399e701e7ea1b7edbdc654c8c60d33c6f09a7803e2dda776 - 0.0% (176 Bytes)
[#002] sha256:ae44a9d929a0f7f774a276b1abeda949212ff63805c2d35fd8e1856cb1e47859 - 0.67% (343 KB)
[#003] sha256:a11fa162bc593505d0e792ade6064701834ba4262cf5fda38fdbe83d0ba13951 - 0.0% (153 Bytes)
[#004] sha256:b31b1ca975bc54b44303a760f56b79dc75f0743f799a9647bd2906c9d9da80d1 - 75.22% (37.6 MB)
[#005] sha256:4ed88cc76a25ffb7d9aa0f424b308ea1f83e9707e9606173f9e3179e87b4909d - 0.0% (549 Bytes)
[#006] sha256:32f657789dec438ca23757a82efd3e2cd666e756fd71f2feae4fa95c15d37ade - 0.0% (743 Bytes)
[#007] sha256:ef337482e9460c6d256398d67d259b56a8bb531a1ef5bea9e98340de40c1467c - 20.45% (10.2 MB)
/bin/sh -c #(nop) ADD file:45b5d3b8d5490ba7edfca2cf6f54cdcf49c772b0b3a2302ce69a7af061007aa4 in /
2017-10-25 23:28:59 UTC/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime
2017-10-25 23:28:59 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2017-10-26 05:15:41 UTC/bin/sh -c apk add --no-cache ca-certificates
2017-10-26 05:15:43 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2017-11-04 06:00:55 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2017-11-21 07:00:51 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=17.11.0-ce-rc4
2017-11-21 07:01:07 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps curl tar ; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! curl -fL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; apk del .fetch-deps; dockerd -v; docker -v
2017-11-21 07:01:08 UTC/bin/sh -c #(nop) COPY file:016ebcc5aefa6b28f6c484a299057d5b236e1d4f3baf44cc76eb4cd578821691 in /usr/local/bin/modprobe
2017-11-21 07:01:08 UTC/bin/sh -c #(nop) COPY file:0d94e1cd679f133aab807891a1b00b6aef1a9f1f884108e7a17ddf50ab88f1fb in /usr/local/bin/
2017-11-21 07:01:09 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2017-11-21 07:01:10 UTC/bin/sh -c #(nop) CMD ["sh"]
2017-11-21 07:02:23 UTC/bin/sh -c apk add --no-cache git openssh-client
2017-11-21 11:38:04 UTC
50.5 MB
test
DOCKER_VERSION17.11.0-ce-rc4
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:1e52418956f7d2a8ea35e8e6e3318fd08e005b27457d77868c225e7433bbfa02 - 3.79% (1.92 MB)
[#001] sha256:acf472f4e5bb7956ac20bb343b304e1d3de1f79160c0d158cccbe25980022d50 - 0.0% (176 Bytes)
[#002] sha256:786040648c6ce95b57cfce679096fb7515d48596fa35ebd8347645924dc7afcf - 0.67% (346 KB)
[#003] sha256:fb59a10fa001950eb807c32d69dfdb981e184862354d5a807966f342e49f5405 - 0.0% (154 Bytes)
[#004] sha256:27b4a5ba0db3431cd469268c6a852626c49fd381f3e921eccd8a56295b96423e - 73.62% (37.2 MB)
[#005] sha256:a2d4d84c96b3cd81427ac321eea71ad5108415e40ca0d7a2b292c37d041b670b - 0.0% (549 Bytes)
[#006] sha256:4d1b2619a52e759682ede6c2a0bc63ab0b18c6f26caf03d173c3d5a81e17c0e1 - 0.0% (743 Bytes)
[#007] sha256:e3dea5f8a27aaf20632b18e8710f7f8a5f8d2044c8ae9e804b6180eb1b5ef5b8 - 21.92% (11.1 MB)
/bin/sh -c #(nop) ADD file:e0be8616517d68cb80a2f9b74eb967cda22b9937bbcbe8b75b6153815a6f7761 in /
2017-10-25 23:28:48 UTC/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime
2017-10-25 23:28:50 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2017-10-26 05:15:23 UTC/bin/sh -c apk add --no-cache ca-certificates
2017-10-26 05:15:29 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2017-11-04 10:36:25 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2017-11-21 11:36:24 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=17.11.0-ce-rc4
2017-11-21 11:36:39 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps curl tar ; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! curl -fL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; apk del .fetch-deps; dockerd -v; docker -v
2017-11-21 11:36:40 UTC/bin/sh -c #(nop) COPY file:016ebcc5aefa6b28f6c484a299057d5b236e1d4f3baf44cc76eb4cd578821691 in /usr/local/bin/modprobe
2017-11-21 11:36:41 UTC/bin/sh -c #(nop) COPY file:0d94e1cd679f133aab807891a1b00b6aef1a9f1f884108e7a17ddf50ab88f1fb in /usr/local/bin/
2017-11-21 11:36:42 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2017-11-21 11:36:43 UTC/bin/sh -c #(nop) CMD ["sh"]
2017-11-21 11:38:04 UTC/bin/sh -c apk add --no-cache git openssh-client
2017-11-21 04:02:16 UTC
53.2 MB
test
DOCKER_VERSION17.11.0-ce-rc4
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:d45fd9d3c4f188ab1f3a4bf6a9f5202b3f1577dbb998f5f28e82d192e0c1f0e7 - 3.7% (1.97 MB)
[#001] sha256:0e5978b6b34b3e943e0fd25dfb50991c0bad82a986cfdaa91c4de756431ba679 - 0.0% (176 Bytes)
[#002] sha256:c591e288aeff92334ad8b71d06647f63984dee862dde01321a4087557e0691fe - 0.63% (344 KB)
[#003] sha256:08c7a9baee1e600d6ffd18316c88768a16246fbd81d84f2f217736b364c53bf0 - 0.0% (153 Bytes)
[#004] sha256:e6b20d9c1da6586b173eaa21e133085e6774ce76fef1d507f8a75913692f9cb5 - 74.54% (39.7 MB)
[#005] sha256:5ece9870f89289551ca2b3606197a216dd01d7621ad1277299408f904da2c25a - 0.0% (548 Bytes)
[#006] sha256:4059fcbc180b68e85e3ba270c403d5ad88a975804c8fff568a4d9d2bfc43b2e2 - 0.0% (740 Bytes)
[#007] sha256:6699016991512dc84f755cb839a9cbbde96b7a605984064d90212e6a73621c5e - 21.12% (11.2 MB)
/bin/sh -c #(nop) ADD file:6fbdff4b4c08600e192f5da9b67a02c58759237fb40525d70712104c80c34c48 in /
2017-10-25 23:28:40 UTC/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime
2017-10-25 23:28:40 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2017-10-26 03:01:36 UTC/bin/sh -c apk add --no-cache ca-certificates
2017-10-26 03:01:36 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2017-11-04 03:01:38 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2017-11-21 04:01:33 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=17.11.0-ce-rc4
2017-11-21 04:01:40 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps curl tar ; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! curl -fL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; apk del .fetch-deps; dockerd -v; docker -v
2017-11-21 04:01:40 UTC/bin/sh -c #(nop) COPY file:016ebcc5aefa6b28f6c484a299057d5b236e1d4f3baf44cc76eb4cd578821691 in /usr/local/bin/modprobe
2017-11-21 04:01:40 UTC/bin/sh -c #(nop) COPY file:0d94e1cd679f133aab807891a1b00b6aef1a9f1f884108e7a17ddf50ab88f1fb in /usr/local/bin/
2017-11-21 04:01:41 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2017-11-21 04:01:41 UTC/bin/sh -c #(nop) CMD ["sh"]
2017-11-21 04:02:16 UTC/bin/sh -c apk add --no-cache git openssh-client
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.